#include <bits/stdc++.h>
#define all(v) v.begin(), v.end()
#define pb push_back
#define ss second
#define ff first
#define vt vector
using namespace std;
typedef long long ll;
typedef vector<int> vi;
typedef vector<ll> vll;
typedef pair<int, int> pii;
typedef pair<ll, ll> pll;
typedef pair<double, int> pdi;
const ll inf = 1e16;
const int mod = 1e9+7;
const int maxn = 2e5 + 12;
void solve() {
	ll h, w;
	cin >> h >> w;
	if(h > w)swap(h, w);
	ll sum = h * w - 1;
	while(h && w) {
		sum += h * w;
		sum += h * (h + 1) / 2 - 1;
		w--;
		if(h > w)swap(h, w);
	}
	cout << sum;
}

int main() {
	ios_base::sync_with_stdio(0);
	cin.tie(0);
	int times = 1;
	//cin >> times;
	for(int i = 1; i <= times; i++) {
		solve();
	}
	return 0;
}
